Bug 198228 - ldd -r reports undefined symbols
ldd -r reports undefined symbols
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: at-spi (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
:
Depends On:
Blocks: ldd-r-kh
  Show dependency treegraph
 
Reported: 2006-07-10 11:11 EDT by Karsten Hopp
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-02 16:55:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karsten Hopp 2006-07-10 11:11:17 EDT
Note: ldd can't handle dlopen'ed dependent libraries and these unresolved symbols
might be resolved by those. But this needs to be checked.
Reproducer: rpm -ql <packagename>| grep lib.*so | xargs ldd -r


at-spi-devel-1.7.7-8
undefined symbol: ORBit_TypeCode_epv    (/usr/lib/libloginhelper.so)
undefined symbol: TC_CORBA_long_struct  (/usr/lib/libloginhelper.so)
undefined symbol: _ORBIT_skel_small_Bonobo_Unknown_queryInterface       (/usr/lib/libloginhelper.so)
undefined symbol: _ORBIT_skel_small_Bonobo_Unknown_unref        (/usr/lib/libloginhelper.so)
undefined symbol: Bonobo_Unknown__iinterface    (/usr/lib/libloginhelper.so)
undefined symbol: _ORBIT_skel_small_Bonobo_Unknown_ref  (/usr/lib/libloginhelper.so)
undefined symbol: Bonobo_Unknown__classid       (/usr/lib/libloginhelper.so)
undefined symbol: TC_CORBA_boolean_struct       (/usr/lib/libloginhelper.so)
undefined symbol: TC_void_struct        (/usr/lib/libloginhelper.so)
...
...
Comment 1 Matthias Clasen 2006-08-02 16:55:53 EDT
Doesn't happen with the latest at-spi 1.7.10-1.fc6

Note You need to log in before you can comment on or make changes to this bug.